Bug 289011 - yum failed to install kernel-2.6.22.5-76.fc7.x86_64
yum failed to install kernel-2.6.22.5-76.fc7.x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-13 06:19 EDT by Nivag
Modified: 2014-01-21 17:59 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.2.8-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 08:35:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nivag 2007-09-13 06:19:57 EDT
Description of problem:
A couple of hours ago I ran 
    yum -y update
on an F7 box.

Yum claimed to have installed it, and there is the following entry
    Sep 13 18:44:28 Installed: kernel - 2.6.22.5-76.fc7.x86_64
in the file
    /var/log/yum.log

However, rebooting the box brought up the previous version.

In /boot I have:
-rw-r--r-- 1 root root   69993 2007-07-28 10:54 config-2.6.22.1-41.fc7
-rw-r--r-- 1 root root   70098 2007-08-22 14:08 config-2.6.22.4-65.fc7
drwxr-xr-x 2 root root    1024 2007-08-24 22:03 grub/
-rw------- 1 root root 3845491 2007-08-01 19:00 initrd-2.6.22.1-41.fc7.img
-rw------- 1 root root 3848766 2007-08-24 22:03 initrd-2.6.22.4-65.fc7.img
drwx------ 2 root root   12288 2007-06-17 15:37 lost+found/
-rw-r--r-- 1 root root 1182330 2007-07-28 10:54 System.map-2.6.22.1-41.fc7
-rw-r--r-- 1 root root 1182200 2007-08-22 14:08 System.map-2.6.22.4-65.fc7
-rw-r--r-- 1 root root 1899720 2007-07-28 10:54 vmlinuz-2.6.22.1-41.fc7
-rw-r--r-- 1 root root 1900584 2007-08-22 14:08 vmlinuz-2.6.22.4-65.fc7

And the contests of
    /boot/grub/grub.conf
is
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/VolGroup00/LogVol00
#          initrd /initrd-version.img
#boot=/dev/sda
default=0
timeout=10
splashimage=(hd0,0)/grub/splash.xpm.gz
#hiddenmenu
title Fedora (2.6.22.4-65.fc7)
        root (hd0,0)
        kernel /vmlinuz-2.6.22.4-65.fc7 ro root=/dev/VolGroup00/LogVol00
        initrd /initrd-2.6.22.4-65.fc7.img
title Fedora (2.6.22.1-41.fc7)
        root (hd0,0)
        kernel /vmlinuz-2.6.22.1-41.fc7 ro root=/dev/VolGroup00/LogVol00
        initrd /initrd-2.6.22.1-41.fc7.img


All the files in
   /etc/yum.repos.d
have not been changed since before the last successfulr kernel update
-rw-r--r-- 1 root root 1541 2007-05-25 08:58 fedora-development.repo
-rw-r--r-- 1 root root 1096 2007-05-25 08:58 fedora.repo
-rw-r--r-- 1 root root 1006 2007-05-25 08:58 fedora-updates.repo
-rw-r--r-- 1 root root 1084 2007-05-25 08:58 fedora-updates-testing.repo
-rw-r--r-- 1 root root  354 2005-06-29 06:40 freshrpms.repo
(N.B. testing & development repo's are disabled)




Version-Release number of selected component (if applicable):
# yum --version
3.2.4

How reproducible:
N/A

N.B running
    yum clean metadata ; yum -y update
does not do anything to help this, that I can see (above directory/file listings
were done after I had tried this).

Steps to Reproduce:
N/A
  
Actual results:
new kernel not installed

Expected results:
new kernel installed, and set to be the default in grub.conf

Additional info:
Comment 1 Seth Vidal 2007-09-13 09:00:05 EDT
please run:
yum list installed kernel


and report the output.
Comment 2 Nivag 2007-09-13 09:10:43 EDT
# yum list installed kernel
Installed Packages
kernel.x86_64                            2.6.22.5-76.fc7        installed       
kernel.x86_64                            2.6.22.4-65.fc7        installed       
# ll /boot
total 13754
-rw-r--r-- 1 root root   69993 2007-07-28 10:54 config-2.6.22.1-41.fc7
-rw-r--r-- 1 root root   70098 2007-08-22 14:08 config-2.6.22.4-65.fc7
drwxr-xr-x 2 root root    1024 2007-08-24 22:03 grub/
-rw------- 1 root root 3845491 2007-08-01 19:00 initrd-2.6.22.1-41.fc7.img
-rw------- 1 root root 3848766 2007-08-24 22:03 initrd-2.6.22.4-65.fc7.img
drwx------ 2 root root   12288 2007-06-17 15:37 lost+found/
-rw-r--r-- 1 root root 1182330 2007-07-28 10:54 System.map-2.6.22.1-41.fc7
-rw-r--r-- 1 root root 1182200 2007-08-22 14:08 System.map-2.6.22.4-65.fc7
-rw-r--r-- 1 root root 1899720 2007-07-28 10:54 vmlinuz-2.6.22.1-41.fc7
-rw-r--r-- 1 root root 1900584 2007-08-22 14:08 vmlinuz-2.6.22.4-65.fc7
Comment 3 Seth Vidal 2007-09-13 09:22:05 EDT
please run:

rpm -V kernel-2.6.22.5-76.fc7

and report the output (if any)

thanks,
Comment 4 Nivag 2007-09-13 15:16:00 EDT
# rpm -V kernel-2.6.22.5-76.fc7
missing     /boot/System.map-2.6.22.5-76.fc7
missing     /boot/config-2.6.22.5-76.fc7
missing     /boot/vmlinuz-2.6.22.5-76.fc7
Comment 5 Jeremy Katz 2007-09-13 15:21:17 EDT
Was /boot mounted readonly when you updated?
Comment 6 Nivag 2007-09-13 15:36:03 EDT
I did nothing special to /boot, before the yum update.

How would I tell if /boot had become read only at that time?

(I will check my mail in about 20 minutes, it is 7:26am here and I need to get
ready to go to work...)


===================================================
part of my daily mail included:

--------------------- yum Begin ------------------------ 

 
 Packages Installed:
    kernel - 2.6.22.5-76.fc7.x86_64
    kernel-devel - 2.6.22.5-76.fc7.x86_64
 
 Packages Updated:
    samba-common - 3.0.26a-0.fc7.x86_64
    evolution - 2.10.3-4.fc7.x86_64
    vixie-cron - 4:4.1-84.fc7.x86_64
    libsmbclient - 3.0.26a-0.fc7.x86_64
    libdhcp4client - 12:3.0.5-39.fc7.x86_64
    kernel-headers - 2.6.22.5-76.fc7.x86_64
    usermode-gtk - 1.93-1.fc7.x86_64
    gnome-common - 2.18.0-1.fc7.noarch
    libsmbclient - 3.0.26a-0.fc7.i386
    usermode - 1.93-1.fc7.x86_64
    samba-client - 3.0.26a-0.fc7.x86_64
    evolution - 2.10.3-4.fc7.i386
    knetworkmanager - 0.2-0.1.svn20070815.fc7.x86_64
    kpowersave - 0.7.3-0.2svn20070828.fc7.x86_64
    dhclient - 12:3.0.5-39.fc7.x86_64
 
 ---------------------- yum End ------------------------- 
================================================================

I looked at /var/log/messages, I found no messages about '/boot', nor about
making any file system read only:
Sep 13 18:43:01 neptune yum: Updated: evolution - 2.10.3-4.fc7.i386
Sep 13 18:43:05 neptune yum: Updated: knetworkmanager -
0.2-0.1.svn20070815.fc7.x86_64
Sep 13 18:43:35 neptune yum: Updated: evolution - 2.10.3-4.fc7.x86_64
Sep 13 18:43:37 neptune yum: Updated: usermode - 1.93-1.fc7.x86_64
Sep 13 18:43:40 neptune yum: Updated: kpowersave - 0.7.3-0.2svn20070828.fc7.x86_64
Sep 13 18:43:41 neptune yum: Updated: dhclient - 12:3.0.5-39.fc7.x86_64
Sep 13 18:43:42 neptune yum: Updated: libsmbclient - 3.0.26a-0.fc7.i386
Sep 13 18:43:43 neptune yum: Updated: usermode-gtk - 1.93-1.fc7.x86_64
Sep 13 18:43:58 neptune yum: Installed: kernel-devel - 2.6.22.5-76.fc7.x86_64
Sep 13 18:44:01 neptune yum: Updated: kernel-headers - 2.6.22.5-76.fc7.x86_64
Sep 13 18:44:02 neptune yum: Updated: libdhcp4client - 12:3.0.5-39.fc7.x86_64
Sep 13 18:44:02 neptune yum: Updated: gnome-common - 2.18.0-1.fc7.noarch
Sep 13 18:44:03 neptune yum: Updated: libsmbclient - 3.0.26a-0.fc7.x86_64
Sep 13 18:44:04 neptune yum: Updated: vixie-cron - 4:4.1-84.fc7.x86_64
Sep 13 18:44:05 neptune yum: Updated: samba-client - 3.0.26a-0.fc7.x86_64
Sep 13 18:44:28 neptune yum: Installed: kernel - 2.6.22.5-76.fc7.x86_64
Comment 7 Nivag 2007-09-13 16:23:04 EDT
I am quite happy to do more diagnostics to trace the problem, though I suspect
(I could well be wrong!!!) that it might simply be statistical anomaly...

I was wondering about trying to use yum to remove that kernel version (I haven't
as I felt you migt wish me to run more diagnostics):


# yum remove kernel-2.6.22.5-76.fc7.x86_64
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package kernel.x86_64 0:2.6.22.5-76.fc7 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Removing:
 kernel                  x86_64     2.6.22.5-76.fc7  installed          63 M

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       0 Package(s)         
Remove       1 Package(s)         

Is this ok [y/N]: 
Comment 8 Seth Vidal 2008-03-12 10:42:13 EDT
Have you continued to have this problem with all future kernel versions? I've
never been able to recreate this bug.

If you've not had the problem in any later versions then I'd say we can close
this currentversion.
Comment 9 Nivag 2008-03-13 06:46:04 EDT
I have had no further problems of this nature, and I am now on kernel
2.6.24.3-12, having upgraded to all the intermediate kernels via yum.

So I think you can safely close it.

Note You need to log in before you can comment on or make changes to this bug.